- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 84d78460-17f0-4d79-9320-b78f2b88cb85
    creation_time: 2023-02-17T13:37:04.924759Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd-ll_valuebound20.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd-ll_valuebound20.c: 20f9ce6814caacb533e5bf2143ac3e067387f11238548a0b9b41e2de8e2cc436
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd-ll_valuebound20.c
    file_hash: 20f9ce6814caacb533e5bf2143ac3e067387f11238548a0b9b41e2de8e2cc436
    line: 35
    column: 0
    function: main
  loop_invariant:
    string: p * s - r * q == 1 && a == y * r + x * p && b == x * q + y * s
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: d757a3a5-04d0-4eaa-8423-eb205ef4aaf5
    creation_time: 2023-02-17T13:37:04.925124Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd-ll_valuebound20.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd-ll_valuebound20.c: 20f9ce6814caacb533e5bf2143ac3e067387f11238548a0b9b41e2de8e2cc436
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd-ll_valuebound20.c
    file_hash: 20f9ce6814caacb533e5bf2143ac3e067387f11238548a0b9b41e2de8e2cc436
    line: 36
    column: 0
    function: main
  location_invariant:
    string: 1 == p * s - r * q
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: d8809a73-02bb-4691-bf7d-c84b53274d4a
    creation_time: 2023-02-17T13:37:04.925211Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd-ll_valuebound20.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd-ll_valuebound20.c: 20f9ce6814caacb533e5bf2143ac3e067387f11238548a0b9b41e2de8e2cc436
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd-ll_valuebound20.c
    file_hash: 20f9ce6814caacb533e5bf2143ac3e067387f11238548a0b9b41e2de8e2cc436
    line: 37
    column: 0
    function: main
  location_invariant:
    string: a == y * r + x * p
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: ee7ef52e-4869-4725-900e-cd2089050022
    creation_time: 2023-02-17T13:37:04.925291Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd-ll_valuebound20.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd-ll_valuebound20.c: 20f9ce6814caacb533e5bf2143ac3e067387f11238548a0b9b41e2de8e2cc436
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd-ll_valuebound20.c
    file_hash: 20f9ce6814caacb533e5bf2143ac3e067387f11238548a0b9b41e2de8e2cc436
    line: 38
    column: 0
    function: main
  location_invariant:
    string: b == x * q + y * s
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 68c5202c-9063-42cd-a53e-6ec6c3d90dbf
    creation_time: 2023-02-17T13:37:04.925374Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd-ll_valuebound20.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd-ll_valuebound20.c: 20f9ce6814caacb533e5bf2143ac3e067387f11238548a0b9b41e2de8e2cc436
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd-ll_valuebound20.c
    file_hash: 20f9ce6814caacb533e5bf2143ac3e067387f11238548a0b9b41e2de8e2cc436
    line: 54
    column: 0
    function: main
  location_invariant:
    string: a - b == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: c2355994-381b-43ee-bc9c-fba92406bc3c
    creation_time: 2023-02-17T13:37:04.925538Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd-ll_valuebound20.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd-ll_valuebound20.c: 20f9ce6814caacb533e5bf2143ac3e067387f11238548a0b9b41e2de8e2cc436
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd-ll_valuebound20.c
    file_hash: 20f9ce6814caacb533e5bf2143ac3e067387f11238548a0b9b41e2de8e2cc436
    line: 55
    column: 0
    function: main
  location_invariant:
    string: p*x + r*y - b == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: adc42b6d-3b30-4984-a1ba-0d97a6e75b87
    creation_time: 2023-02-17T13:37:04.925631Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd-ll_valuebound20.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd-ll_valuebound20.c: 20f9ce6814caacb533e5bf2143ac3e067387f11238548a0b9b41e2de8e2cc436
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd-ll_valuebound20.c
    file_hash: 20f9ce6814caacb533e5bf2143ac3e067387f11238548a0b9b41e2de8e2cc436
    line: 56
    column: 0
    function: main
  location_invariant:
    string: q*r - p*s + 1 == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: db875d2d-aad7-488f-831d-b24c3068dfe4
    creation_time: 2023-02-17T13:37:04.925707Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd-ll_valuebound20.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd-ll_valuebound20.c: 20f9ce6814caacb533e5bf2143ac3e067387f11238548a0b9b41e2de8e2cc436
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd-ll_valuebound20.c
    file_hash: 20f9ce6814caacb533e5bf2143ac3e067387f11238548a0b9b41e2de8e2cc436
    line: 57
    column: 0
    function: main
  location_invariant:
    string: q*x + s*y - b == 0
    type: assertion
    format: C

